#!/bin/perl

# format for matrix import

use warnings;
use strict;

my ($debug);
$debug = 0;
$debug = 1;

while (<>) {
  chomp;
  if ( $. == 1 ) {
    s/$/ Index/;
  if ( $. == 2 ) {
    s/$/ Chromosome Position/;
  if ( $. == 3 ) {
    s/$/ Gene/;
  if ( $. == 4 ) {
    s/$/ Inheritance/;
  if ( $. == 5 ) {
    s/$/ RNA Accession/;
  if ( $. == 6 ) {
    s/$/ Chr/;
  if ( $. == 7 ) {
    s/$/ Coverage/;
  if ( $. == 8 ) {
    s/$/ Score/;
  if ( $. == 9 ) {
    s/$/ A(#F#R)/;
  if ( $. == 10 ) {
    s/$/ C(#F#R)/;
  if ( $. == 11 ) {
    s/$/ G(#F#R)/;
  if ( $. == 12 ) {
    s/$/ T(#F#R)/;
  if ( $. == 13 ) {
    s/$/ Ins(#F#R)/;
  if ( $. == 14 ) {
    s/$/ Del(#F#R)/;
  if ( $. == 15 ) {
    s/$/ SNP db_xref/;
  if ( $. == 16 ) {
    s/$/ Mutation Call/;
  if ( $. == 17 ) {
    s/$/ Mutation Allele Frequency/;
  if ( $. == 18 ) {
    s/$/ Amino Acid Change/;
  if ( $. == 43 ) {
    s/$/ HP/;
  if ( $. == 44 ) {
    s/$/ SPLICE/;
  if ( $. == 45 ) {
    s/$/ Pseudogene/;
  if ( $. == 46 ) {
    s/$/ Classification/;
  if ( $. == 47 ) {
    s/$/ HGMD/;
  if ( $. == 48 ) {
    s/$/ Disease/;
  if ( $. == 49 ) {
    s/$/ Sanger/;
  if ( $. == 50 ) {
    s/$/ References/;
  }
  print "$_\n";
}

print STDERR " ( Lines read: $. )\n";

exit(0);